package soccerTeamExample_delegatedControllerVersion;

public interface TeamMemberModelListener {

	/**
	 * Method that is invoked when this listener wishes to respond or to react
	 * to a change that originated in whichever object this listener is
	 * listening to. In this version of the listener, the interface stipulates
	 * precisely what this object is.
	 */
	public void changed();

	public TeamMemberModel getObjectThatIsBeingListenedTo();

}
