import java.awt.*;
import java.awt.event.*;
import java.io.IOException;

/*
 ***************************************************************
 * Silly Sample program which demonstrates the basic paint
 * callback mechanism in the AWT.
 ***************************************************************
 *
 *http://java.sun.com/products/jfc/tsc/articles/painting/src/PaintDemo.java
 */
public class ImageDemo {
	public static void main(String[] args) throws IOException {

		Frame f = new Frame("Have a nice day!");
		f.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
		Canvas c = new ImageCanvas();
		// Canvas c = new ImageCanvas_delegateSceneDrawing();
		// Canvas c = new ImageCanvas_doubleBufffered();
		f.add(c, BorderLayout.CENTER);
		f.pack();
		// f.show();
		f.setVisible(true);

		c.createBufferStrategy(2); // needs component to be visible
		f.invalidate();
	}
}
