package soccerTeamExample_delegatedControllerVersion;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class SoccerExampleDriver {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Frame f = new Frame("");
		f.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

		TeamMemberModel model = new TeamMemberModel();
		TeamMemberView view = new TeamMemberView(model);
		f.add(view, BorderLayout.CENTER);
		new SoccerAppController(view, model);
		f.pack();
		f.setVisible(true);
	}
}
